<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="/prod/style.css">
</head>
<body>
    <div class="content">
        <h1>МАССИВЫ</h1>
        Массив это составной тип данных, который содержит другие значения это такой своеобразный список. 
        <br>
        var myArray = ["Велоцераптор", "Тиранозавр" , "Диплодок",];
        <br>
        <h3>как вытащить значение массива по индексу</h3>
        myArray[0]; вытащит 1 элемент массива(то есть велоцераптора)
        <br>
        <h3>Добавим в массив значение или изменим существующее</h3>
        myArray[3] = "Брахиозавр";
        <br>
        Далее если мы вызовим на массив то увидим уже 4 значения. 
        <br>
        Изменить значение в массиве можно так же. для этого в квадратных скобках добавить индекс в котором находится значение которое нам нужно изменить, равно кавычки и новое значение
        <br>
        <h3>Как содержатся в одном массиве разные типы данных</h3>
        var myArr1 = [3, "dino", ["text", 55, "text2"], 99];
        <br>
        Посмотреть в консоли. (по сути все понятно). Если нужно вытащить значение со второго массива, то в вызове будет 2 квадратных скобки в 1-ой индекс в котором находится массив в массиве myArr1, а во второй скобке будет индекс в котором находится значение во втором массиве. 
        <br>
        <h3>Свойства и методы для работы с массивами</h3>
            <ul>
                <li>lenght - позволяет узнать длину массива (myArr.lenght;), так же можно получить последний элемент массива (myArr[myArr.lenght-1]). -1 потому что индекс начинается с 0 и последний элемент будет длина массива -1</li>
                <li>push(); -позволяет добавить в конец нашего массива значение (myArr.push(и сюда значение);)</li>
                <li>unshift(); позволяет добавить в начало нашего масива значение (myArr.unshift(значение);)</li>
                <li>pop(); - позволяет убрать с конца нашего массива значение (myArr.pop(ничего добавлять не нужно);)</li>
                <li>shift() - позволяет убрать с начала нашего массива значение (myArr.shift(ничего добавлять не нужно);)</li>
                <li>concat() - позволяет обьеденить 2 массива в один. Для этого создаем новый массив и в нем пишем первый массив.concat(второй массив) ... <br> var newArr = myArr1.concat(myArr2, еще массив если их больше 2-ух); . Еще этот процесс называется конкатинация 2-ух и более массивов</li>
                <li>indexOf() - позволяет найти значение по индексу(myArr.indexOf(значение которе есть в массиве)) вывод в консоли покажет индекс значения.  </li>
                <li>join() - позволяет наш масив записать в строку (myArr.join("указываем как мы хотим обьеденить. дефолтное значение запятая"))</li>
                
            </ul>
    </div>
</body>
</html>